aboutsummaryrefslogtreecommitdiffstats
path: root/scrotty/scrotty.install
diff options
context:
space:
mode:
authorMattias Andrée <maandree@member.fsf.org>2015-12-08 12:56:38 +0100
committerMattias Andrée <maandree@member.fsf.org>2015-12-08 12:56:38 +0100
commit92951c009474b12c1de496ecb6c2b27a6d47a9a5 (patch)
tree9067a4d0a575f86a5927838c0d57ba8e8d2e8e4f /scrotty/scrotty.install
parentadd newsd (diff)
downloadaur-packages-92951c009474b12c1de496ecb6c2b27a6d47a9a5.tar.gz
aur-packages-92951c009474b12c1de496ecb6c2b27a6d47a9a5.tar.bz2
aur-packages-92951c009474b12c1de496ecb6c2b27a6d47a9a5.tar.xz
add scrotty
Signed-off-by: Mattias Andrée <maandree@member.fsf.org>
Diffstat (limited to 'scrotty/scrotty.install')
-rw-r--r--scrotty/scrotty.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/scrotty/scrotty.install b/scrotty/scrotty.install
new file mode 100644
index 0000000..8e40299
--- /dev/null
+++ b/scrotty/scrotty.install
@@ -0,0 +1,20 @@
+_file="scrotty"
+
+infodir="usr/share/info"
+file="${_file}.info"
+
+
+post_install() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info --delete -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+